Computer Security
[EN] securityvulns.ru no-pyccku


CVECVE-2015-3415
StatusCandidate
DescriptionThe sqlite3VdbeExec function in vdbe.c in SQLite before 3.8.9 does not properly implement comparison operators, which allows context-dependent attackers to cause a denial of service (invalid free operation) or possibly have unspecified other impact via a crafted CHECK clause, as demonstrated by CHECK(0&O>O) in a CREATE TABLE statement.
Severity
High
CVSS score7,5
CVSS vector(AV:N/AC:L/Au:N/C:P/I:P/A:P)
PhaseAssigned (24.04.2015)
NVD:http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-3415
ReferencesFULLDISC : 20150414 several issues in SQLite (+ catching up on several other bugs)
 APPLE : APPLE-SA-2015-09-21-1
 APPLE : APPLE-SA-2015-09-30-3
 DEBIAN : DSA-3252
 CONFIRM : https://support.apple.com/HT205213
 CONFIRM : https://support.apple.com/HT205267
 CONFIRM : https://www.sqlite.org/src/info/02e3c88fbf6abdcf39...
 MANDRIVA : MDVSA-2015:217
 UBUNTU : USN-2698-1
SecurityVulns:SQLite multiple security vulnerabilities
 Apple Mac OS X / Mac EFI / OS X Server multiple security vulnerabilities
About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod